# baalajimaestro's obsidian support scripts

Scripts to help me use obsidian more effortlessly.


The scripts assume they are cloned as a directory, and the obsidian folder that is supposed to be handled, is the parent.

The scripts also assume that your parent directory has git set up properly, and your system has openssl installed.

`encrypt.py` - Encrypts the entire obsidian repo, with ChaCha20, retaining folder structure, with the given keys, supplied via env vars, and pushes it to a backup git facility.

`trigger.py` - This is more like a personal script, but all it does is, create a git tag in the current obsidian repo, push it ahead, and trigger a CI pipeline on another repo.

~~`termux_trigger.sh` - Script to sync all your obsidian repos, into your mobile. Works only with Termux. Fully automatic once you fill in the necessary variables, functions as a very dumb replacement to Obsidian Git Plugin. Hook it with Tasker to trigger it on a schedule/by another triggers.~~
